# Here are the configuraable options 
# LAPTOP 	: enable batter level
# CPU_USAGE : CPU usage in percentage
# DEBUG 	: for fixing issues

# NOTE: the -D is needed for gcc
# MFLAGS= -D MY_OPTION -D ANOTHER_OPT ...
MFLAGS=-D LAPTOP -D CPU_USAGE


flags=-O2 -s -lX11
output=statline


stat:
	gcc $(MFLAGS) -o $(output) status.c $(flags)

run:
	./statline

clean:
	rm -f statline

install:
	ln -s $(shell pwd)/statline /usr/bin/statline
